Subject: Re: draft-housley-two-maturity-levels

From: Russ Housley <[email-masked]>
Date: Wed, 01 Sep 2010 16:02:10 -0400

Dear IETF community:

I just posted an update to draft-housley-two-maturity-levels.  I tried
to reflect what I heard during the plenary discussion in Maastricht.
Please review and comment.

Thanks,
Russ

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 01 Oct 2010 15:59:35 +1300

Since you asked, I'd like to see this move forward as quickly
as possible.

Just one practical issue seems to be hanging. The draft says:
 This document makes no change to the current STD practice; however,	
 this topic deserves further discussion by the whole community.

Fair enough. But what happens to the existing STD numbers
on the transition day?

- Do existing full Standards keep their existing STD number as they
are renamed Internet Standard? (I suggest: yes.)

- Do existing Draft Standards acquire an STD number as they are
renamed Internet Standard? (Pragmatically, I suggest no, unless
they already obsolete or update an existing STD.)

Regards
   Brian Carpenter

On 2010-09-02 08:02, Russ Housley wrote:
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 30 Sep 2010 22:14:34 -0500

>they already obsolete or update an existing STD.)

Brian

I'm not sure I agree on your second point (specifically on your 
position of "no").

DSs have achieved a demonstrable hurdle that PS couldn't - by 
definition - by achieving independent interoperability.  TO group DSs 
back with PSs is unfair and IMO, rather inappropriate.

Said another way, when looking at the current PS, DS and FS within 
the standards track - what sufficiently differentiates these 3 into two groups?

I would argue "provable interoperability" is that differentiation, 
which is why I wouldn't back-step DSs into the category that PSs will 
move into. I would progress them into where FSs are going, i.e., the 
Internet Standard category.

of course, other opinions may think otherwise...

James

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 01 Oct 2010 16:38:10 +1300

On 2010-10-01 16:14, James M. Polk wrote:
> I'm not sure I agree on your second point (specifically on your position
> of "no").

You're misunderstanding my "no". I fully agree that we are moving existing
DSs and existing STDs into a single bucket. It's just a practical matter -
the existing STDs each have an STD number, and the existing DSs don't have
an STD number. I'm simply suggesting that on transition day, we
don't bother to synthesise an STD number where none exists. That may
be what Russ intended to say, but is wasn't clear when reading the text.

What happens later w.r.t. STD numbers is off topic.

    Brian

> 
> DSs have achieved a demonstrable hurdle that PS couldn't - by definition
> - by achieving independent interoperability.  TO group DSs back with PSs
> is unfair and IMO, rather inappropriate.
> 
> Said another way, when looking at the current PS, DS and FS within the
> standards track - what sufficiently differentiates these 3 into two groups?
> 
> I would argue "provable interoperability" is that differentiation, which
> is why I wouldn't back-step DSs into the category that PSs will move
> into. I would progress them into where FSs are going, i.e., the Internet
> Standard category.
>